<script lang="ts">
  import { send, receive } from "./tileCrossfade";
  import { isColored } from "../util";
  import ColoredTile from "./ColoredTile.svelte";

  export let tile: Tile;
  export let inline: boolean = false;
</script>

{#if inline}
  <div class="inline">
    {#if isColored(tile)}
      <ColoredTile {tile} />
    {:else if tile === "s"}
      <div class="tile border shadow"><i class="emoji">1️⃣</i></div>
    {/if}
  </div>
{:else}
  <div in:receive={{ key: tile }} out:send={{ key: tile }}>
    {#if isColored(tile)}
      <ColoredTile {tile} />
    {:else if tile === "s"}
      <div class="tile border shadow"><i class="emoji">1️⃣</i></div>
    {/if}
  </div>
{/if}

<style>
  .inline {
    display: inline-block;
    margin: 0 0.125em;
  }
  .tile {
    height: 1.25em;
    width: 1.25em;

    display: grid;
    place-content: center;
    filter: drop-shadow(0 0 1px #0003) drop-shadow(0.1em 0.1em 0.05em #0009);
  }
  .emoji {
    font-size: 1.15em;
  }
</style>
